package com.artfess.file.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @program: edp
 * @Date: 2021/3/20 16:09
 * @Author: llj
 * @Description:
 */
@Component
public class HwObsSetting {
    @Value("${huaweiyun.obs.ak}")//ak
    private  String ak;
    @Value("${huaweiyun.obs.sk}")//sk
    private  String sk;
    @Value("${huaweiyun.obs.bucketName}")//桶名称
    private  String bucketName;
    @Value("${huaweiyun.obs.endpoint}")//终端节点访问:根据地区自行在华为obs上找
    private  String endpoint;

    public String getAk() {
        return ak;
    }

    public void setAk(String ak) {
        this.ak = ak;
    }

    public String getSk() {
        return sk;
    }

    public void setSk(String sk) {
        this.sk = sk;
    }

    public String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }
/*    @Bean
   public void initObs(){
        HuaweiyunOssUtil.setAk(ak);
        HuaweiyunOssUtil.setSk(sk);
        HuaweiyunOssUtil.setEndpoint(endpoint);
        HuaweiyunOssUtil.setBucketName(bucketName);
    }*/
}
